Debian Bug report logs - #693825
libnfnetlink: autoconf update for arm64 building

version graph

Package: src:libnfnetlink; Maintainer for src:libnfnetlink is Alexander Wirt <formorer@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 20 Nov 2012 19:00:01 UTC

Severity: normal

Tags: patch

Found in version libnfnetlink/1.0.0

Fixed in version libnfnetlink/1.0.1-1

Done: Alexander Wirt <formorer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>:
Bug#693825; Package src:libnfnetlink. (Tue, 20 Nov 2012 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to netfilter maintainers <netfilter-maintainers@ned.snow-crash.org>. (Tue, 20 Nov 2012 19:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnfnetlink: autoconf update for arm64 building
Date: Tue, 20 Nov 2012 18:58:12 +0000
[Message part 1 (text/plain, inline)]
Source: libnfnetlink
Version: 1.0.0
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. 

Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1
       
For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libnfnetlink-1.0.0-autoconfupdate.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Alexander Wirt <formorer@debian.org> to control@bugs.debian.org. (Sun, 24 Feb 2013 11:15:03 GMT) Full text and rfc822 format available.

Reply sent to Alexander Wirt <formorer@debian.org>:
You have taken responsibility. (Sun, 24 Feb 2013 11:36:05 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 24 Feb 2013 11:36:05 GMT) Full text and rfc822 format available.

Message #12 received at 693825-close@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: 693825-close@bugs.debian.org
Subject: Bug#693825: fixed in libnfnetlink 1.0.1-1
Date: Sun, 24 Feb 2013 11:32:44 +0000
Source: libnfnetlink
Source-Version: 1.0.1-1

We believe that the bug you reported is fixed in the latest version of
libnfnetlink, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693825@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Wirt <formorer@debian.org> (supplier of updated libnfnetlink package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Feb 2013 12:10:54 +0100
Source: libnfnetlink
Binary: libnfnetlink0 libnfnetlink0-dbg libnfnetlink-dev
Architecture: source amd64
Version: 1.0.1-1
Distribution: experimental
Urgency: low
Maintainer: Alexander Wirt <formorer@debian.org>
Changed-By: Alexander Wirt <formorer@debian.org>
Description: 
 libnfnetlink-dev - Development files for libnfnetlink0
 libnfnetlink0 - Netfilter netlink library
 libnfnetlink0-dbg - Debugging symbols for libnfnetlink0
Closes: 693825 699135 699204
Changes: 
 libnfnetlink (1.0.1-1) experimental; urgency=low
 .
   * [0ea816f] Imported Upstream version 1.0.1
     (Closes: #699204)
   * [ee23dbe] Bump standards version and debhelper version
   * [674fed5] Move to 3.0 for getting bz2 support
   * [8cc4c93] Update maintainer field
   * [e9834ad] Update Vcs-* fields
   * [d4b137c] Play nicer with git
   * [63bbed0] Add misc depends
   * [1ec36bf] wrap-and-sort
   * [cab9e24] Add multiarch stuff:wq
   * [f3dc6bb] convert package to dh7
   * [c54ff15] Bump dh compat to 9 (hardening)
   * [edd28ca] Fix filepattern for package installation
   * [24478f2] Add homepage controlfield
   * Take over changes from 1.0.0-1.1+libtool
     (Closes: #693825, #699135). Thanks to Daniel Schepler for the update.
Checksums-Sha1: 
 e953418d29129a05fc06b7a9e8f7e6d2ea9b1938 1375 libnfnetlink_1.0.1-1.dsc
 27ae2dfbd976e28cb7a417f9e946c901f512dd9a 320641 libnfnetlink_1.0.1.orig.tar.bz2
 a5f17da9ffffa1f8f919bcc198a342bc14c8269f 2981 libnfnetlink_1.0.1-1.debian.tar.gz
 a08c51205ad8553bf75bfbcd4296df17d974d724 15556 libnfnetlink0_1.0.1-1_amd64.deb
 407bff1dccb4fe367c565740b99009ac0fe120c4 33082 libnfnetlink0-dbg_1.0.1-1_amd64.deb
 e1baa43b5431e99faab38b19be0371863594ed44 8452 libnfnetlink-dev_1.0.1-1_amd64.deb
Checksums-Sha256: 
 06eb8536471c6e63e11b42dba41860a96b802f22b6bc1ba9a409b81bd966124d 1375 libnfnetlink_1.0.1-1.dsc
 f270e19de9127642d2a11589ef2ec97ef90a649a74f56cf9a96306b04817b51a 320641 libnfnetlink_1.0.1.orig.tar.bz2
 5f61dd73c4769f1ddea2aa4ca38ad0e3edc876a44f631859cb1b682dc102ffbb 2981 libnfnetlink_1.0.1-1.debian.tar.gz
 1f7b1f39d7006c4bc2830e6f50fe7554dbd5e1f0ba5bbdaf7e1851488b6233d1 15556 libnfnetlink0_1.0.1-1_amd64.deb
 fff8fd21c7089f619bbbf800273e2e98b036625f67bc201a605bcf6eab5f4137 33082 libnfnetlink0-dbg_1.0.1-1_amd64.deb
 1bb4f0e44b93af7609adb75fca89d57e032cd6d1a34224e9aca67b5232210bbc 8452 libnfnetlink-dev_1.0.1-1_amd64.deb
Files: 
 e784623a9dbe9c8d732c1eeda7f2887b 1375 libs extra libnfnetlink_1.0.1-1.dsc
 98927583d2016a9fb1936fed992e2c5e 320641 libs extra libnfnetlink_1.0.1.orig.tar.bz2
 efd3f4d369cdd08452aeaef3e0463ccb 2981 libs extra libnfnetlink_1.0.1-1.debian.tar.gz
 72cd51cee4bd8588edf074f0d4af99e1 15556 libs extra libnfnetlink0_1.0.1-1_amd64.deb
 7d9001c45fd5f9c12676740e6c3fce2d 33082 debug extra libnfnetlink0-dbg_1.0.1-1_amd64.deb
 b075e64c90023f58dc6be4f832519d31 8452 libdevel extra libnfnetlink-dev_1.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEp9nAACgkQ01u8mbx9AgpnBACfV4wxNDgF345nwcMuIkUUIicI
RlIAmwX7H2D6lGX4teBhRpyb5Rt4kpiZ
=kGhZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Mar 2013 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:29:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.